Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.management.common
Interface ProxyResource

All Superinterfaces
  Serializable

All Known Subinterfaces:
  ProxyBook, ProxyPage

    public interface ProxyResource

extends Serializable

ProxyResource

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getDescription()` Returns the description associated with this resource.
`String` | `getName()` Returns the name assigned to this proxy page by it's producer.
`String` | `getProducerHandle()` Returns the name of this proxy page's producer
`ProxyResourceId` | `getProxyResourceId()` Returns the `ProxyResourceId` for this `ProxyResource`
`String` | `getTitle()` Returns the title associated with this resource.
`boolean` | `isPrimary()` Returns `true` if this proxy resource is marked as the primary resource

Method Detail

### getName

    String getName()

  Returns the name assigned to this proxy page by it's producer.

  Returns
    name

### getProducerHandle

    String getProducerHandle()

  Returns the name of this proxy page's producer

  Returns
    producer handle

### getProxyResourceId

    ProxyResourceId getProxyResourceId()

  Returns the `ProxyResourceId` for this `ProxyResource`

  Returns
    `ProxyResourceId`

### isPrimary

    boolean isPrimary()

  Returns `true` if this proxy resource is marked as the primary resource

  Returns
    `true` if this proxy resource is marked as the primary resource

### getTitle

    String getTitle()

  Returns the title associated with this resource.

  Returns
    title associated with this resource

### getDescription

    String getDescription()

  Returns the description associated with this resource.

  Returns
    description associated with this resource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.